#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'scriptingconfigwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "scriptingconfigwidget.h"

#include <ntqvariant.h>
#include <knuminput.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KileWidgetScriptingConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KileWidgetScriptingConfig::KileWidgetScriptingConfig( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KileWidgetScriptingConfig" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    KileWidgetScriptingConfigLayout = new TQVBoxLayout( this, 11, 6, "KileWidgetScriptingConfigLayout"); 

    kcfg_ScriptingEnabled = new TQCheckBox( this, "kcfg_ScriptingEnabled" );
    kcfg_ScriptingEnabled->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, kcfg_ScriptingEnabled->sizePolicy().hasHeightForWidth() ) );
    kcfg_ScriptingEnabled->setChecked( TRUE );
    KileWidgetScriptingConfigLayout->addWidget( kcfg_ScriptingEnabled );

    executionTimeLimitGroupBox = new TQGroupBox( this, "executionTimeLimitGroupBox" );
    executionTimeLimitGroupBox->setEnabled( TRUE );
    executionTimeLimitGroupBox->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 0, 0, executionTimeLimitGroupBox->sizePolicy().hasHeightForWidth() ) );
    executionTimeLimitGroupBox->setColumnLayout(0, TQt::Vertical );
    executionTimeLimitGroupBox->layout()->setSpacing( 6 );
    executionTimeLimitGroupBox->layout()->setMargin( 11 );
    executionTimeLimitGroupBoxLayout = new TQVBoxLayout( executionTimeLimitGroupBox->layout() );
    executionTimeLimitGroupBoxLayout->setAlignment( TQt::AlignTop );

    kcfg_TimeLimitEnabled = new TQCheckBox( executionTimeLimitGroupBox, "kcfg_TimeLimitEnabled" );
    kcfg_TimeLimitEnabled->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, kcfg_TimeLimitEnabled->sizePolicy().hasHeightForWidth() ) );
    kcfg_TimeLimitEnabled->setChecked( TRUE );
    executionTimeLimitGroupBoxLayout->addWidget( kcfg_TimeLimitEnabled );

    layout10 = new TQHBoxLayout( 0, 0, 6, "layout10"); 

    textLabel1 = new TQLabel( executionTimeLimitGroupBox, "textLabel1" );
    textLabel1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    layout10->addWidget( textLabel1 );
    spacer1 = new TQSpacerItem( 16, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    layout10->addItem( spacer1 );

    kcfg_TimeLimit = new KIntNumInput( executionTimeLimitGroupBox, "kcfg_TimeLimit" );
    kcfg_TimeLimit->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, kcfg_TimeLimit->sizePolicy().hasHeightForWidth() ) );
    kcfg_TimeLimit->setMinValue( 1 );
    layout10->addWidget( kcfg_TimeLimit );
    spacer4 = new TQSpacerItem( 40, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout10->addItem( spacer4 );
    executionTimeLimitGroupBoxLayout->addLayout( layout10 );
    KileWidgetScriptingConfigLayout->addWidget( executionTimeLimitGroupBox );
    spacer5 = new TQSpacerItem( 20, 40, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    KileWidgetScriptingConfigLayout->addItem( spacer5 );
    languageChange();
    resize( TQSize(340, 198).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_ScriptingEnabled, TQ_SIGNAL( toggled(bool) ), executionTimeLimitGroupBox, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_TimeLimitEnabled, TQ_SIGNAL( toggled(bool) ), kcfg_TimeLimit, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_TimeLimitEnabled, TQ_SIGNAL( toggled(bool) ), textLabel1, TQ_SLOT( setEnabled(bool) ) );

    // buddies
    textLabel1->setBuddy( kcfg_TimeLimit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KileWidgetScriptingConfig::~KileWidgetScriptingConfig()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KileWidgetScriptingConfig::languageChange()
{
    setCaption( tr2i18n( "Scripting Support" ) );
    kcfg_ScriptingEnabled->setText( tr2i18n( "Enable &scripting" ) );
    executionTimeLimitGroupBox->setTitle( tr2i18n( "Execution Time Limit" ) );
    kcfg_TimeLimitEnabled->setText( tr2i18n( "&Limit the execution time of scripts" ) );
    textLabel1->setText( tr2i18n( "&Time limit (seconds):" ) );
}

/****************************************************************************
** KileWidgetScriptingConfig meta object code from reading C++ file 'scriptingconfigwidget.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "scriptingconfigwidget.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KileWidgetScriptingConfig::className() const
{
    return "KileWidgetScriptingConfig";
}

TQMetaObject *KileWidgetScriptingConfig::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KileWidgetScriptingConfig( "KileWidgetScriptingConfig", &KileWidgetScriptingConfig::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KileWidgetScriptingConfig::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KileWidgetScriptingConfig", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KileWidgetScriptingConfig::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KileWidgetScriptingConfig", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KileWidgetScriptingConfig::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KileWidgetScriptingConfig", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KileWidgetScriptingConfig.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KileWidgetScriptingConfig::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KileWidgetScriptingConfig" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KileWidgetScriptingConfig::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KileWidgetScriptingConfig::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KileWidgetScriptingConfig::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KileWidgetScriptingConfig::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
