#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'helpconfigwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "helpconfigwidget.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kilehelp.h"
#include "helpconfigwidget.ui.h"

/*
 *  Constructs a KileWidgetHelpConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KileWidgetHelpConfig::KileWidgetHelpConfig( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KileWidgetHelpConfig" );
    KileWidgetHelpConfigLayout = new TQGridLayout( this, 1, 1, 11, 6, "KileWidgetHelpConfigLayout"); 

    m_lbLocation = new TQLabel( this, "m_lbLocation" );

    KileWidgetHelpConfigLayout->addWidget( m_lbLocation, 0, 0 );

    kcfg_location = new KLineEdit( this, "kcfg_location" );

    KileWidgetHelpConfigLayout->addWidget( kcfg_location, 0, 1 );

    kcfg_use = new TQButtonGroup( this, "kcfg_use" );

    m_rbTeTeX = new TQRadioButton( kcfg_use, "m_rbTeTeX" );
    m_rbTeTeX->setGeometry( TQRect( 11, 59, 358, 26 ) );
    kcfg_use->insert( m_rbTeTeX, 1 );

    m_rbKileRef = new TQRadioButton( kcfg_use, "m_rbKileRef" );
    m_rbKileRef->setGeometry( TQRect( 11, 27, 358, 26 ) );
    kcfg_use->insert( m_rbKileRef, 0 );

    KileWidgetHelpConfigLayout->addMultiCellWidget( kcfg_use, 1, 1, 0, 1 );

    kcfg_embedded = new TQButtonGroup( this, "kcfg_embedded" );

    m_rbEmbedded = new TQRadioButton( kcfg_embedded, "m_rbEmbedded" );
    m_rbEmbedded->setGeometry( TQRect( 10, 80, 358, 26 ) );

    m_rbExternal = new TQRadioButton( kcfg_embedded, "m_rbExternal" );
    m_rbExternal->setGeometry( TQRect( 10, 110, 401, 26 ) );
    m_rbExternal->setChecked( TRUE );

    m_pbConfigure = new TQPushButton( kcfg_embedded, "m_pbConfigure" );
    m_pbConfigure->setGeometry( TQRect( 10, 30, 130, 34 ) );

    KileWidgetHelpConfigLayout->addMultiCellWidget( kcfg_embedded, 2, 2, 0, 1 );
    languageChange();
    resize( TQSize(436, 309).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pbConfigure, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotConfigure() ) );

    // buddies
    m_lbLocation->setBuddy( kcfg_location );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KileWidgetHelpConfig::~KileWidgetHelpConfig()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KileWidgetHelpConfig::languageChange()
{
    setCaption( tr2i18n( "Help" ) );
    m_lbLocation->setText( tr2i18n( "&Location of TeX documentation:" ) );
    TQWhatsThis::add( m_lbLocation, tr2i18n( "Insert the path to the TeX documentation directory here. For example /usr/share/texmf/doc." ) );
    kcfg_use->setTitle( tr2i18n( "Context Sensitive Help" ) );
    m_rbTeTeX->setText( tr2i18n( "Use your system's &TeX documentation" ) );
    m_rbKileRef->setText( tr2i18n( "Use the &Kile LaTeX reference" ) );
    kcfg_embedded->setTitle( tr2i18n( "User Help" ) );
    m_rbEmbedded->setText( tr2i18n( "Use &embedded viewer" ) );
    m_rbExternal->setText( tr2i18n( "Show help file in a &separate window" ) );
    m_pbConfigure->setText( tr2i18n( "Con&figure..." ) );
}

/****************************************************************************
** KileWidgetHelpConfig meta object code from reading C++ file 'helpconfigwidget.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "helpconfigwidget.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KileWidgetHelpConfig::className() const
{
    return "KileWidgetHelpConfig";
}

TQMetaObject *KileWidgetHelpConfig::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KileWidgetHelpConfig( "KileWidgetHelpConfig", &KileWidgetHelpConfig::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KileWidgetHelpConfig::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KileWidgetHelpConfig", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KileWidgetHelpConfig::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KileWidgetHelpConfig", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KileWidgetHelpConfig::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"slotConfigure", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "slotConfigure()", &slot_1, TQMetaData::Private }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KileWidgetHelpConfig", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KileWidgetHelpConfig.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KileWidgetHelpConfig::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KileWidgetHelpConfig" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KileWidgetHelpConfig::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: slotConfigure(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KileWidgetHelpConfig::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KileWidgetHelpConfig::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KileWidgetHelpConfig::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
