#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'newdocumentwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newdocumentwidget.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "templates.h"

/*
 *  Constructs a NewDocumentWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewDocumentWidget::NewDocumentWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewDocumentWidget" );
    NewDocumentWidgetLayout = new TQVBoxLayout( this, 11, 6, "NewDocumentWidgetLayout"); 

    groupBox2 = new TQGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, TQt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new TQVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( TQt::AlignTop );

    textLabel1 = new TQLabel( groupBox2, "textLabel1" );
    groupBox2Layout->addWidget( textLabel1 );

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 

    documentTypeComboBox = new TQComboBox( FALSE, groupBox2, "documentTypeComboBox" );
    layout2->addWidget( documentTypeComboBox );
    spacer2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addItem( spacer2 );
    groupBox2Layout->addLayout( layout2 );
    NewDocumentWidgetLayout->addWidget( groupBox2 );

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    textLabel1_2 = new TQLabel( groupBox1, "textLabel1_2" );
    groupBox1Layout->addWidget( textLabel1_2 );

    templateIconView = new TemplateIconView( groupBox1, "templateIconView" );
    groupBox1Layout->addWidget( templateIconView );

    quickStartWizardCheckBox = new TQCheckBox( groupBox1, "quickStartWizardCheckBox" );
    groupBox1Layout->addWidget( quickStartWizardCheckBox );
    NewDocumentWidgetLayout->addWidget( groupBox1 );
    languageChange();
    resize( TQSize(428, 358).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewDocumentWidget::~NewDocumentWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewDocumentWidget::languageChange()
{
    groupBox2->setTitle( tr2i18n( "Document Type" ) );
    textLabel1->setText( tr2i18n( "Please select the type of document you want to create:" ) );
    groupBox1->setTitle( tr2i18n( "Template" ) );
    textLabel1_2->setText( tr2i18n( "Please select the template that should be used:" ) );
    quickStartWizardCheckBox->setText( tr2i18n( "Start the Quick Start wizard when creating an empty LaTeX file" ) );
}

/****************************************************************************
** NewDocumentWidget meta object code from reading C++ file 'newdocumentwidget.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "newdocumentwidget.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *NewDocumentWidget::className() const
{
    return "NewDocumentWidget";
}

TQMetaObject *NewDocumentWidget::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_NewDocumentWidget( "NewDocumentWidget", &NewDocumentWidget::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString NewDocumentWidget::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "NewDocumentWidget", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString NewDocumentWidget::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "NewDocumentWidget", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* NewDocumentWidget::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"NewDocumentWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_NewDocumentWidget.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* NewDocumentWidget::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "NewDocumentWidget" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool NewDocumentWidget::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool NewDocumentWidget::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool NewDocumentWidget::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool NewDocumentWidget::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
